Bug 191070 - Review Request: mcstrans
Review Request: mcstrans
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-08 13:54 EDT by Daniel Walsh
Modified: 2013-01-09 20:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 17:52:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2006-05-08 13:54:50 EDT
Spec URL: http://devserv.devel/~dwalsh/SELinux/mcstrans.spec
SRPM URL: http://devserv.devel/~dwalsh/SELinux/mcstrans-0.1.1-1.src.rpm
Description: mcstrans is a replacement for libsetrans.  Basically libselinux will not use a daemon for its translations instead of a shared library.  This will allow us to easily swap in and out different translation daemons.
Comment 1 Jesse Keating 2006-05-09 17:58:45 EDT
Bad:
- buildroot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Source url is 404: http://fedora.redhat.com/projects/mcstrans-0.1.1.tgz
- Build fails on both arches, probably a missing BuildRequires:

mcstransd.c:16:29: error: selinux/setrans.h: No such file or directory



Should be fixed:
- Mix of variables like $RPM_BUILD_ROOT and %{optflags}.  One method should be
consistant throughout

NEEDSWORK
Comment 2 Daniel Walsh 2006-05-09 19:27:22 EDT
Bad:
- buildroot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} 
-n)
> Changed to this.
- Source url is 404: http://fedora.redhat.com/projects/mcstrans-0.1.1.tgz
> Not sure where this link should point.  We are upstream for this so but I am
not sure where we are supposed to put these tarballs.
- Build fails on both arches, probably a missing BuildRequires:

mcstransd.c:16:29: error: selinux/setrans.h: No such file or directory

> Fixed


Should be fixed:
- Mix of variables like $RPM_BUILD_ROOT and %{optflags}.  One method should be
consistant throughout

> Fixed

I updated the tarball and spec file on 
http://devserv.devel/~dwalsh/SELinux
Comment 3 Jesse Keating 2006-05-09 22:58:45 EDT
So it builds now, but rpmlint isn't completely happy.

- Obsoletes libsetrans, but doesn't provide it.  It should provide it for clean
upgrade
- Use of Prereq, this should actually be Requires(pre): followed by a
Requires(post): (sorry I didn't notice this first)

That should be it.  A couple more Warnings but they can be ignored:
W: mcstrans no-url-tag (already talked about, will get that later)
W: mcstrans service-default-enabled /etc/init.d/mcstransd (we want this enabled)
W: mcstrans incoherent-init-script-name mcstransd (um, whatever)

Comment 4 Daniel Walsh 2006-05-10 13:59:26 EDT
Updated again.

We need this in tonight, since libselinux requires it in rawhide now...
Comment 5 Jesse Keating 2006-05-10 22:35:05 EDT
Builds now, just the ignorable warnings.  Approving.  (and since you're asleep
probably, building it for rawhide.)
Comment 6 Jesse Keating 2006-05-16 17:52:08 EDT
Package was released to rawhide.

Note You need to log in before you can comment on or make changes to this bug.